@echo off
CLS
@ECHO ----------------------------------------------------------------------
@ECHO   THIS PROGRAM WILL UPDATE THE 101094 CORE BIOS TO 071595 CORE
@ECHO                   THIS CHANGE IS NOT REVERSIBLE
@ECHO ----------------------------------------------------------------------
@ECHO   Before programming the BIOS make sure that:
@echo           1.  The following files are present in the current directory:
@echo                   - AMIFAUTO.COM
@echo                   - S727P.ROM ( NEW CORE BIOS FILE )
@echo           2.  Jumper J45 is set to 2-3
@ECHO ----------------------------------------------------------------------
@echo   After programming the ROM make sure to:
@echo                   - Turn Off the system power
@echo                   - Set J45 back to 1-2
@ECHO ----------------------------------------------------------------------
@echo                   HIT ANY KEY TO UPDATE THE BIOS
@ECHO                   HIT (CNTRL)(BREAK) TO ABORT
@ECHO ----------------------------------------------------------------------
PAUSE > NUL
IF NOT EXIST AMIFAUTO.COM GOTO ERROR1
AMIFAUTO S727P.ROM
GOTO END
:ERROR1
@ECHO !!!!!!!!!!!  AMIFAUTO.COM NOT PRESENT IN CURRENT DIRECTORY !!!!!!!!!!!!!!
IF NOT EXIST S727P.ROM GOTO ERROR2
GOTO END
:ERROR2
@ECHO !!!!!!!!!!!  S727P.ROM NOT PRESENT IN CURRENT DIRECTORY !!!!!!!!!!!!!!!
:END
